---
title: 'Catchy title about Supernote being "the new paper"'
author: ["Amolith"]
cover: ./cover.png
lastmod: 2023-01-27T13:00:37-05:00
tags: ["Supernote", "Writing", "Productivity", "Organisation"]
categories: ["Technology"]
draft: true
toc: true
---

I like writing things down. I like the feel of the pen (preferably a fountain
pen) gliding smoothly over the paper, that nice solid feeling of the tip against
the table, seeing the ink dry as it flows from the nib, accidentally swiping my
hand through it before it's finished and smearing a bit of ink across the page,
then cursing under my breath as I dab it up with a handkerchief or a napkin or
something else nearby. I also love that writing things by hand [has an impact on
memory and improves
retention.](https://journals.sagepub.com/doi/abs/10.1177/0956797614524581)

## The problem {#the-problem}

Unfortunately, I don't love keeping up with that paper. Across many different
classes, even with dedicated folders for each one, something important
inevitably gets lost. Notebooks are also bulky and can take up a lot of space. I
tried [bullet journalling](https://bulletjournal.com/) for about a month earlier
this year and, while the process was enjoyable, the maintenance was not. My
brain moves faster than my pen (even though I have terrible handwriting) and I
inevitably forget letters or even whole words. This is a problem while writing
in pen because white-out looks ugly and I dislike wasting whole pages because of
a couple mistakes.

The obvious solution here is to get an iPad with an Apple Pen, right? Right??

Wrong because Apple bad.[^fn:1]

## The solution {#the-solution}

Enter the world of ... what are they even called? E-ink notebooks? Paper
tablets? E-R/W?[^fn:2] Do they even have a "device category" yet? I don't know,
but they solve my problem in a wonderful way.

As the names suggest, these are devices that can _usually_ open and read e-books
(EPUBs, PDFs, etc.), annotate them, and create standalone pages of notes as if
they were full notebooks. The most well-known of these devices is likely the
[reMarkable.](https://remarkable.com/) They had a [hugely successful
crowdfunding
campaign](https://venturebeat.com/2019/10/08/remarkable-raises-15-million-to-bring-its-e-paper-tablets-to-more-scribblers/)
and produced the reMarkable 1, followed by [the reMarkable 2 in 2020.](https://blog.remarkable.com/remarkable-2-the-next-generation-paper-tablet-91b47d0080cb)
There are a few devices like these by now but we'll look at the reMarkable
first.

## The reMarkable {#the-remarkable}

This device boasts all of the features I was looking for. It renders digital
content, from books and manuals to comics and manga, allows you to mark those
documents up as you would if they were physical media, create full notebooks of
hand written text, organise them, search, and, if your handwriting is legible
enough (mine certainly is not), perform OCR on your notes and email a
transcription to yourself. It even runs Linux and the developers have opened SSH
up so you can remote in and tinker with it as much as you like. Because of this,
there's a pretty awesome [community of people creating third-party tools and
integrations](https://github.com/reHackable/awesome-reMarkable) that add even
further functionality. My favourite is probably
[rMview,](https://github.com/bordaigorl/rmview) a really fast VNC client for the
reMarkable that allows you to view your device's screen on any computer.

After watching all of [MyDeepGuide's](https://www.youtube.com/c/MyDeepGuide)
[extensive playlist on the
reMarkable,](https://www.youtube.com/playlist?list=PLsSI9-gaSSmiXwb7Vjk5Vb-nB41UTnrXd)
however, I decided to go with a different product.

## Enter the Supernote A5X {#enter-the-supernote-a5x}

The [Supernote A5X](https://www.supernote.com/#/product?type=SN-A5-X) has all of
the basic features the reMarkable has: reading documents, writing notes, and
organising your content. Its implementation, on the other hand, seems to be much
more polished. It also lacks some features from the reMarkable while adding
others.

## Operating System {#operating-system}

While the reMarkable runs Codex,[^fn:3] a _"custom Linux-based OS optimised for
low-latency e-paper"_, the Supernote just runs Android. There are both benefits
and detriments to this; on one hand, they're running all of Android, bloated
that it is, on a very lightweight tablet. On the other, they don't have to
develop and maintain a custom operating system. This allows them to focus on
other aspects that are arguably more important so I don't actually mind that it
runs Android.

The only place that Android stands out is in system operations; file transfer
uses MTP and, when you swipe down from the top of the device, a small bar
appears similar to what was in early Android. This lets you change WiFi
networks, sync with the Supernote Cloud, take a screenshot, search, and access
the system settings. Nothing else about the device really screams Android to me.

## Community {#community}

I don't usually browse Reddit but [the Supernote
community](https://old.reddit.com/r/Supernote/) there is fascinating. I haven't
looked around enough to know exactly what his relationship is with the company,
but one of the members, [u/hex2asc,](https://old.reddit.com/user/hex2asc) seems
to represent Supernote in something of an official capacity. He's incredibly
active and usually responds to posts and questions within a day or two.

Before I purchased a Supernote, [I wrote a
post](https://old.reddit.com/r/Supernote/comments/lhffyd/sync_targets_open_document_formats_and_crossnote/)
asking about a couple of things that concerned me: sync targets, open document
formats, and cross-note links. I don't really plan to write full documents on
the device but having the option to do so would still be nice. The other
features are absolutely killer for me as I would like to maintain a Zettelkasten
(I wrote about [using Vim to do so](/vim-as-a-markdown-editor/) last year but
didn't end up sticking with it) and manage document synchronisation with my own
Nextcloud server. The community was quick to respond and confirm that
Zettelkasten functionality would be implemented soon™. u/hex2asc responded _the
day after_ and said that WebDAV would be supported but not earlier than May
(September update: it's still not supported), ODF would likely not be supported,
and cross-note links were definitely a possibility. Another community member has
been avidly following the subreddit and even put together an [unofficial
roadmap.](https://app-rm.roadmunk.com/publish/03e6dca3d769e2b7015f7f48a649cb3f75f44d9e)

## Interfaces {#interfaces}

### Home &amp; Organisation {#home-and-organisation}

#### <span class="org-todo todo TODO">TODO</span> Record very short video about home/organisation {#record-very-short-video-about-home-organisation}

### Settings {#settings}

#### <span class="org-todo todo TODO">TODO</span> Record very short video about settings {#record-very-short-video-about-settings}

### Writing &amp; Annotating {#writing-and-annotating}

The following images are screenshots of the full page above with the possible UI
variations while reading a book. This first one is default, with the editing bar
at the top. It is exactly the same as what's displayed on the blank pages for
hand writing full notes. From left to right is the Table of Contents toggle, the
pen tools (fineliner, "fountain" pen,[^fn:4] and highlighter), the erasers,
lasso select tool, undo/redo, context menu, palm rejection toggle, previous
page, goto page, next page, and exit.

{{< figure
src="~/repos/sites/secluded/static/assets/pngs/supernote-reader-default.png" >}}

You can hold your finger on that bar and drag it down to detach it from the top.
The default width exposes all the tools without whitespace. You can move it
around the screen by dragging the circle with a straight line through the middle
on the far left.

{{< figure
src="~/repos/sites/secluded/static/assets/pngs/supernote-reader-medium.png" >}}

If you tap that circle, the width shrinks and everything except the pens,
erasers, and undo/redo buttons are hidden. It can be dragged the same was as in
the previous image and tapping that circle will expand the bar again.

{{< figure
src="~/repos/sites/secluded/static/assets/pngs/supernote-reader-small.png" >}}

The last mode is with the bar completely hidden. You achieve this just by
dragging it to the right edge of the screen. Once hidden, you can swipe right to
left from the edge and it will be revealed flush with the right edge.

{{< figure
src="~/repos/sites/secluded/static/assets/pngs/supernote-reader-minimal.png" >}}

## Experience {#experience}

### Reading content {#reading-content}

I love e-ink. I think it looks beautiful and would love to have an e-ink
monitor.[^fn:5] That said, the Supernote has an especially nice display with 226
PPI (pixels per inch). The image below was taken with my phone's camera so it's
not very good. However, if you zoom in a bit, you can see that the curved edges
of some letters are _slightly_ pixellated. Viewing with my naked eye at a
comfortable distance, it does look better _to me_ than some of my print books,
however.

{{< figure
src="~/repos/sites/secluded/static/assets/pngs/supernote-resolution.png" >}}

_At the moment,_ I am pretty disappointed with Table of Contents detection for
ePUBs. A great many of my books seem to use a legacy ToC format that the
Supernote sees and tries/fails to read before attempting to read the more
up-to-date one. This is easily remedied by editing the ePUB in
[Calibre,](https://calibre-ebook.com/) going to Tools → Upgrade Book Internals →
Remove the legacy Table of Contents in NCX format. You might need to make a
small change to one of the HTML files and revert it before the save button is
enabled. After that, just copy it back over to the Supernote and everything
should work properly.

### Writing notes {#writing-notes}

I write notes as often if not _more_ often than I read and annotate books. It's
the main reason I purchased the device and I love the experience. The Supernote
doesn't _really_ feel like paper despite what their marketing materials claim,
though it doesn't feel _bad_ either. It's hard to describe but I would say it's
something like writing with a rollerball pen on high-quality paper with a marble
counter underneath: incredibly smooth with but a little bit of texture so it
doesn't feel like writing on a glass display.

While writing latency[^fn:6] is noticeable, I really don't have a huge issue
with it. I write very quickly but find that the slight latency actually makes
writing _more_ enjoyable. It sounds weird and I'm not sure why, but I _really_
like writing on the Supernote; it's wonderfully smooth, pressure-sensitive, the
latency makes things interesting, and [the Heart of Metal
pen](https://supernote.com/#/part?id=SP-04) feels good in my hand.

### Surfacing Content {#surfacing-content}

While organisation is done using a regular filesystem hierarchy, the Supernote
does have other ways to search for and surface your notes. As you're writing,
you can use the lasso select tool and encircle a word. A little dialogue pops up
and gives you a few buttons for things you can do with that selection: copy,
move to another page, cut, add it to the Table of Contents, or mark it as a key
word. If you select the key word icon, the Supernote does some incredible
OCR[^fn:7] on it and displays a dialogue where you can add it to the note file
as a tag. This dialogue allows you to edit the word before adding it just in
case the OCR was wonky. Even with my terrible handwriting, I've found that it
works very well and I rarely have to make edits.

## <span class="org-todo todo TODO">TODO</span> Ping Isi and Volpeon when finished {#ping-isi-and-volpeon-when-finished}

[^fn:1]:
    I dislike Apple's operating system, their hardware, business model, privacy
    practises, and much of what they stand for as a company. Don't @ me.

[^fn:2]:
    E-R/W is a play on media commonly being labelled as R/W when you can read
    from it and write to it.

[^fn:3]:
    Taken from their [support page about the reMarkable
    2;](https://support.remarkable.com/hc/en-us/articles/360006699537-About-reMarkable-2-)
    search the page for _operating system_ and it should show up.

[^fn:4]:
    It's not really a fountain pen even though that's what they call it; it's
    just pressure-sensitive.

[^fn:5]:
    There does seem to be a group of people interested in just such a thing:
    _[Challenges Building an Open-Source E Ink
    Laptop](https://alexsoto.dev/challenges-building-an-open-source-eink-laptop.html)_

[^fn:6]:
    In this situation, latency refers to how long it takes for "ink" to show up
    on the "page" after writing something.

[^fn:7]:
    _Optical Character Recognition_: the program looks at your handwriting and
    tries to turn it into text.
